// Package consts ...
//
// Description : consts ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-06-17 11:16
package consts

const (
	DatabaseDriverMysql   = "mysql"   // mysql 数据库驱动
	DatabaseDriverSqlite3 = "sqlite3" // sqlLite3 数据库驱动
)

const (
	SqlTypeList   = "list"
	SqlTypeDetail = "detail"
	SqlTypeCount  = "count"
	SqlTypeInsert = "insert"
	SqlTypeUpdate = "update"
	SqlTypeDelete = "delete"
)

// Equal , NotEqual , In , NotIn , Like, NotLike
const (
	WhereOperateEqual    = "equal"     // =
	WhereOperateNotEqual = "not_equal" // !=
	WhereOperateIn       = "in"        // in
	WhereOperateNotIn    = "not_in"    // not in
	WhereOperateLike     = "like"      // like
	WhereOperateNotLike  = "not_like"  // not like
)
