// Package consts ...
//
// Description : consts ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-07-23 16:46
package consts

const (
	GinRequestIDField          = "request_id"           // 请求ID
	GinTraceIDField            = "trace_id"             // 追踪ID
	GinStartRequestTimeField   = "start_request_time"   // 开始请求时间字段
	GinFinishRequestTimeField  = "finish_request_time"  // 开始请求时间字段
	GinResponseCodeField       = "code"                 // 响应状态码字段
	GinResponseMessageField    = "message"              // 响应信息字段
	GinHandleRequestCostField  = "cost"                 // 处理请求耗时字段
	GinResponseDataField       = "data"                 // 响应数据字段
	GinResponseTraceIDField    = "trace_id"             // 响应TraceID字段
	GinResponseRequestIDField  = "request_id"           // 响应的请求ID字段
	GinRecordResponseDataField = "record_response_data" // 记录响应数据到上下文
	GinRecordRequestDataField  = "record_request_data"  // 记录请求数据到上下文
	GinRequestIsSuccessField   = "request_is_success"   // 请求是否成功
	GinResponseExtensionField  = "extension_data"       // 扩展数据字段
)
